textures/sky/box374new
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/sky/box374.tga
	qer_editorimage textures/sky/box374.tga
	q3map_surfacelight 250 //80 mobb2
	//q3map_lightsubdivide 1024
	//q3map_globaltexture
	//q3map_sun 1.0 0.55 0.1 725 90 30 //0.85 0.55 0.65 //0.005 0.0 0.0 25 350 20 mobb2
	q3map_sunExt 0.99 0.87 0.69 725 90 30 2 16
	skyparms env/box374/box374 - - 
}

textures/ut_pg2s/oasis_water
{
	qer_editorimage textures/ut_pg2s/oasis_water2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/ut_pg2s/oasis_water1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/ut_pg2s/oasis_water2.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}


	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

models/mapobjects/urbanterror/rotor1
{
	surfaceparm trans
	{
		map models/mapobjects/urbanterror/rotor1.tga
		blendfunc blend
		tcMod rotate 100
	}
	{
		map models/mapobjects/urbanterror/rotor1.tga
		blendfunc blend
		tcMod rotate 210
	}
}


models/mapobjects/urbanterror/rotor2
{
	surfaceparm trans
	{
		map models/mapobjects/urbanterror/rotor2.tga
		blendfunc blend
		tcMod rotate 100
	}
	{
		map models/mapobjects/urbanterror/rotor2.tga
		blendfunc blend
		tcMod rotate 210
	}

}

//----------TERRAIN----------

textures/ut_pg2s/terrain_0
{
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/ut_pg2s/sand_1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_pg2s/terrain_1
{
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/ut_pg2s/sand_2.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_pg2s/terrain_2
{
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/ut_pg2s/sand_wet.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_pg2s/terrain_0to1
{
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/ut_pg2s/sand_1.tga
	}
	{
		map textures/ut_pg2s/sand_2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_pg2s/terrain_1to2
{
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/ut_pg2s/sand_2.tga
	}
	{
		map textures/ut_pg2s/sand_wet.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/vxut_pg2s/terrain
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/ut_pg2s/sand_1.tga
		rgbGen vertex
		tcmod scale 0.250000000 0.250000000
	}
}
// ----------END TERRAIN----------


textures/ut_pg2s/torchflame
{
	qer_editorimage textures/ut_pg2s/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	

	{
		animMap 10 textures/ut_pg2s/flame1.tga textures/ut_pg2s/flame2.tga textures/ut_pg2s/flame3.tga textures/ut_pg2s/flame4.tga textures/ut_pg2s/flame5.tga textures/ut_pg2s/flame6.tga textures/ut_pg2s/flame7.tga textures/ut_pg2s/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut_pg2s/flame2.tga textures/ut_pg2s/flame3.tga textures/ut_pg2s/flame4.tga textures/ut_pg2s/flame5.tga textures/ut_pg2s/flame6.tga textures/ut_pg2s/flame7.tga textures/ut_pg2s/flame8.tga textures/ut_pg2s/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut_pg2s/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut_pg2s/campfire_blue
{
	qer_editorimage textures/ut_pg2s/bflame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	

	{
		animMap 10 textures/ut_pg2s/bflame1.tga textures/ut_pg2s/bflame2.tga textures/ut_pg2s/bflame3.tga textures/ut_pg2s/bflame4.tga textures/ut_pg2s/bflame5.tga textures/ut_pg2s/bflame6.tga textures/ut_pg2s/bflame7.tga textures/ut_pg2s/bflame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut_pg2s/bflame2.tga textures/ut_pg2s/bflame3.tga textures/ut_pg2s/bflame4.tga textures/ut_pg2s/bflame5.tga textures/ut_pg2s/bflame6.tga textures/ut_pg2s/bflame7.tga textures/ut_pg2s/bflame8.tga textures/ut_pg2s/bflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut_pg2s/bflameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut_pg2s/campfire_red
{
	qer_editorimage textures/ut_pg2s/rflame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	

	{
		animMap 10 textures/ut_pg2s/rflame1.tga textures/ut_pg2s/rflame2.tga textures/ut_pg2s/rflame3.tga textures/ut_pg2s/rflame4.tga textures/ut_pg2s/rflame5.tga textures/ut_pg2s/rflame6.tga textures/ut_pg2s/rflame7.tga textures/ut_pg2s/rflame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut_pg2s/rflame2.tga textures/ut_pg2s/rflame3.tga textures/ut_pg2s/rflame4.tga textures/ut_pg2s/rflame5.tga textures/ut_pg2s/rflame6.tga textures/ut_pg2s/rflame7.tga textures/ut_pg2s/rflame8.tga textures/ut_pg2s/rflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut_pg2s/rflameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


textures/urt_grasses/grass_urt2

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt2.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}

}

textures/urt_grasses/grass_urt4

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt4.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}

}

textures/urt_grasses/grass_urt5

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt5.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}

}

textures/urt_grasses/grass_urt9

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt9.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}

}

textures/urt_grasses/grass_urt10

{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/urt_grasses/grass_urt10.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}

}

// SMOKE PARTICLE SHADERS

// BLUE SMOKE

textures/ut_pg2s/smoke_blue_1
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.186405 1.964790 39.951283 sawtooth 0 1 1.518418 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.518418 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.518418 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.518418 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_2
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.927865 0.422472 39.951283 sawtooth 0 1 1.178747 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.178747 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.178747 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.178747 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_3
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.402072 1.389007 39.951283 sawtooth 0 1 1.183569 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.183569 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.183569 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.183569 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_4
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.832297 0.733373 39.951283 sawtooth 0 1 1.161901 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.161901 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.161901 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.161901 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_5
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.970708 -0.107034 39.951283 sawtooth 0 1 1.334391 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.334391 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.334391 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.334391 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_6
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.810588 -0.785442 39.951283 sawtooth 0 1 1.876949 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.876949 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.876949 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.876949 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_7
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.969382 -0.129161 39.951283 sawtooth 0 1 0.874477 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.874477 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.874477 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.874477 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_8
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.200877 1.963363 39.951283 sawtooth 0 1 0.692160 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.692160 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.692160 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.692160 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_9
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.611182 -1.139842 39.951283 sawtooth 0 1 1.152989 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.152989 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.152989 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.152989 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_10
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.390284 -1.400806 39.951283 sawtooth 0 1 0.078616 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.078616 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.078616 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.078616 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_11
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.966366 0.168972 39.951283 sawtooth 0 1 0.602313 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.602313 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.602313 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.602313 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_12
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.276569 -1.954138 39.951283 sawtooth 0 1 0.998505 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.998505 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.998505 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.998505 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_13
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.930151 0.411903 39.951283 sawtooth 0 1 0.147038 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.147038 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.147038 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.147038 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_14
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.928998 -0.417268 39.951283 sawtooth 0 1 0.490493 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.490493 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.490493 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.490493 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_15
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.577832 -1.185577 39.951283 sawtooth 0 1 1.003449 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.003449 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.003449 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.003449 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_16
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.659255 -1.068653 39.951283 sawtooth 0 1 0.337046 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.337046 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.337046 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.337046 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_17
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.703702 1.843895 39.951283 sawtooth 0 1 0.618244 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.618244 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.618244 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.618244 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_18
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.812494 1.798610 39.951283 sawtooth 0 1 1.495651 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.495651 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.495651 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.495651 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_19
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.256133 1.956922 39.951283 sawtooth 0 1 1.530320 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.530320 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.530320 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.530320 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_blue_20
{
qer_editorimage textures/ut_pg2s/smoke_blue.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.274910 -1.954372 39.951283 sawtooth 0 1 1.561632 1.000000
{
clampmap textures/ut_pg2s/smoke_blue.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.561632 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.561632 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.561632 1.000000
blendfunc blend
}
}


// RED SMOKE



textures/ut_pg2s/smoke_red_1
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.186405 1.964790 39.951283 sawtooth 0 1 1.518418 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.518418 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.518418 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.518418 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_2
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.927865 0.422472 39.951283 sawtooth 0 1 1.178747 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.178747 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.178747 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.178747 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_3
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.402072 1.389007 39.951283 sawtooth 0 1 1.183569 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.183569 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.183569 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.183569 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_4
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.832297 0.733373 39.951283 sawtooth 0 1 1.161901 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.161901 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.161901 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.161901 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_5
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.970708 -0.107034 39.951283 sawtooth 0 1 1.334391 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.334391 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.334391 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.334391 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_6
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.810588 -0.785442 39.951283 sawtooth 0 1 1.876949 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.876949 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.876949 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.876949 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_7
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.969382 -0.129161 39.951283 sawtooth 0 1 0.874477 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.874477 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.874477 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.874477 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_8
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.200877 1.963363 39.951283 sawtooth 0 1 0.692160 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.692160 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.692160 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.692160 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_9
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.611182 -1.139842 39.951283 sawtooth 0 1 1.152989 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.152989 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.152989 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.152989 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_10
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.390284 -1.400806 39.951283 sawtooth 0 1 0.078616 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.078616 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.078616 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.078616 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_11
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.966366 0.168972 39.951283 sawtooth 0 1 0.602313 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.602313 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.602313 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.602313 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_12
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.276569 -1.954138 39.951283 sawtooth 0 1 0.998505 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.998505 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.998505 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.998505 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_13
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.930151 0.411903 39.951283 sawtooth 0 1 0.147038 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.147038 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.147038 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.147038 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_14
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.928998 -0.417268 39.951283 sawtooth 0 1 0.490493 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.490493 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.490493 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.490493 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_15
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.577832 -1.185577 39.951283 sawtooth 0 1 1.003449 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.003449 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.003449 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.003449 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_16
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.659255 -1.068653 39.951283 sawtooth 0 1 0.337046 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.337046 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.337046 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.337046 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_17
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.703702 1.843895 39.951283 sawtooth 0 1 0.618244 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.618244 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.618244 1.000000
tcMod stretch sawtooth 1.000000 0.000000 0.618244 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_18
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.812494 1.798610 39.951283 sawtooth 0 1 1.495651 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.495651 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.495651 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.495651 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_19
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.256133 1.956922 39.951283 sawtooth 0 1 1.530320 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.530320 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.530320 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.530320 1.000000
blendfunc blend
}
}

textures/ut_pg2s/smoke_red_20
{
qer_editorimage textures/ut_pg2s/smoke_red.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.274910 -1.954372 39.951283 sawtooth 0 1 1.561632 1.000000
{
clampmap textures/ut_pg2s/smoke_red.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 1.561632 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.561632 1.000000
tcMod stretch sawtooth 1.000000 0.000000 1.561632 1.000000
blendfunc blend
}
}

